
//
// To jest przykładowy kod z podrozdziału 24.2.1 „Ograniczenia typów liczbowych” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include <iostream>
#include <limits>

using namespace std;

//------------------------------------------------------------------------------

int main()
{

    cout << "Liczba bajtów w typie int: " << sizeof(int) << endl;
    cout << "Największa wartość typu int: " << INT_MAX << endl;
    cout << "Najmniejsza wartość typu int: " << numeric_limits<int>::min() << endl;

    if (numeric_limits<char>::is_signed)
        cout << "Typ char ma znak.\n";
    else
        cout << "Typ char nie ma znaku.\n";

    cout << "Typ char z najmniejszą wartością: " << numeric_limits<char>::min() << endl;
    cout << "Najmniejsza wartość typu char: "  << int(numeric_limits<char>::min()) << endl;
}

//------------------------------------------------------------------------------
